Bug 1791194 - KubeVersionMismatch should be removed
Summary: KubeVersionMismatch should be removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1751706
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-15 08:12 UTC by Pawel Krupa
Modified: 2020-04-08 07:40 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1751706
Environment:
Last Closed: 2020-04-08 07:39:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 612 None closed Bug 1791194: Removing KubeVersionMismatch alert 2020-04-03 17:30:35 UTC
Red Hat Product Errata RHBA-2020:1262 None None None 2020-04-08 07:40:03 UTC

Comment 4 Junqi Zhao 2020-03-26 06:33:53 UTC
Tested with 4.3.0-0.nightly-2020-03-25-232436, KubeVersionMismatch alert is removed
# token=`oc -n openshift-monitoring sa get-token prometheus-k8s`
# oc -n openshift-monitoring exec -c prometheus prometheus-k8s-1  -- curl -k -H "Authorization: Bearer $token" 'https://prometheus-k8s.openshift-monitoring.svc:9091/api/v1/rules' | jq | grep "KubeVersionMismatch"
nothing returned

Comment 6 errata-xmlrpc 2020-04-08 07:39:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1262


Note You need to log in before you can comment on or make changes to this bug.